Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.xqj
Class SaxonXQItemType

    java.lang.Object
      net.sf.saxon.xqj.SaxonXQItemType

All Implemented Interfaces:
  XQItemType, XQSequenceType

    public class SaxonXQItemType

extends Object
implements XQItemType

Field Summary

Fields inherited from interface net.sf.saxon.javax.xml.xquery.XQItemType
`XQBASETYPE_ANYSIMPLETYPE, XQBASETYPE_ANYTYPE, XQBASETYPE_ANYURI, XQBASETYPE_BASE64BINARY, XQBASETYPE_BOOLEAN, XQBASETYPE_BYTE, XQBASETYPE_DATE, XQBASETYPE_DATETIME, XQBASETYPE_DECIMAL, XQBASETYPE_DOUBLE, XQBASETYPE_DURATION, XQBASETYPE_ENTITIES, XQBASETYPE_ENTITY, XQBASETYPE_FLOAT, XQBASETYPE_GDAY, XQBASETYPE_GMONTH, XQBASETYPE_GMONTHDAY, XQBASETYPE_GYEAR, XQBASETYPE_GYEARMONTH, XQBASETYPE_HEXBINARY, XQBASETYPE_ID, XQBASETYPE_IDREF, XQBASETYPE_IDREFS, XQBASETYPE_INT, XQBASETYPE_INTEGER, XQBASETYPE_LANGUAGE, XQBASETYPE_LONG, XQBASETYPE_NAME, XQBASETYPE_NCNAME, XQBASETYPE_NEGATIVE_INTEGER, XQBASETYPE_NMTOKEN, XQBASETYPE_NMTOKENS, XQBASETYPE_NONNEGATIVE_INTEGER, XQBASETYPE_NONPOSITIVE_INTEGER, XQBASETYPE_NORMALIZED_STRING, XQBASETYPE_NOTATION, XQBASETYPE_POSITIVE_INTEGER, XQBASETYPE_QNAME, XQBASETYPE_SHORT, XQBASETYPE_STRING, XQBASETYPE_TIME, XQBASETYPE_TOKEN, XQBASETYPE_UNSIGNED_BYTE, XQBASETYPE_UNSIGNED_INT, XQBASETYPE_UNSIGNED_LONG, XQBASETYPE_UNSIGNED_SHORT, XQBASETYPE_XDT_ANYATOMICTYPE, XQBASETYPE_XDT_DAYTIMEDURATION, XQBASETYPE_XDT_UNTYPED, XQBASETYPE_XDT_UNTYPEDATOMIC, XQBASETYPE_XDT_YEARMONTHDURATION, XQBASETYPE_XQJ_COMPLEX, XQBASETYPE_XQJ_LISTTYPE, XQITEMKIND_ATOMIC, XQITEMKIND_ATTRIBUTE, XQITEMKIND_COMMENT, XQITEMKIND_DOCUMENT, XQITEMKIND_DOCUMENT_ELEMENT, XQITEMKIND_ELEMENT, XQITEMKIND_ITEM, XQITEMKIND_NODE, XQITEMKIND_PI, XQITEMKIND_TEXT`

Fields inherited from interface net.sf.saxon.javax.xml.xquery.XQSequenceType
`OCC_EXACTLY_ONE, OCC_ONE_OR_MORE, OCC_ZERO_OR_MORE, OCC_ZERO_OR_ONE`

Method Summary
`int` | `getBaseType()`
`int` | `getItemKind()`
`int` | `getItemOccurrence()`
`XQItemType` | `getItemType()`
`QName` | `getNodeName()`
`URI` | `getSchemaURI()`
`String` | `getString()`
`QName` | `getTypeName()`
`boolean` | `isAnonymousType()`
`boolean` | `isElementNillable()`
`boolean` | `isSchemaElement()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getBaseType

    public int getBaseType()

  Specified by:
    `getBaseType` in interface `XQItemType`

### getItemKind

    public int getItemKind()

  Specified by:
    `getItemKind` in interface `XQItemType`

### getItemOccurrence

    public int getItemOccurrence()

  Specified by:
    `getItemOccurrence` in interface `XQItemType`
  Specified by:
    `getItemOccurrence` in interface `XQSequenceType`

### getNodeName

    public QName getNodeName()
                      throws XQException

  Specified by:
    `getNodeName` in interface `XQItemType`
  Throws:
    `XQException`

### getSchemaURI

    public URI getSchemaURI()

  Specified by:
    `getSchemaURI` in interface `XQItemType`

### getString

    public String getString()

  Specified by:
    `getString` in interface `XQItemType`
  Specified by:
    `getString` in interface `XQSequenceType`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getTypeName

    public QName getTypeName()
                      throws XQException

  Specified by:
    `getTypeName` in interface `XQItemType`
  Throws:
    `XQException`

### isAnonymousType

    public boolean isAnonymousType()

  Specified by:
    `isAnonymousType` in interface `XQItemType`

### isElementNillable

    public boolean isElementNillable()

  Specified by:
    `isElementNillable` in interface `XQItemType`

### isSchemaElement

    public boolean isSchemaElement()

  Specified by:
    `isSchemaElement` in interface `XQItemType`

### getItemType

    public XQItemType getItemType()

  Specified by:
    `getItemType` in interface `XQSequenceType`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.